Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Description

For now there no any chances to style table headers for several columns becouse there no any css classes (it just <th> with column

caption)

In patch I offer to add two classes: query-column-header and query-column-header-#{column.name}

Associated revisions

Revision 17176 - 2018-01-15 05:17 - Go MAEDA

Add CSS classes to column headers of issues and timelogs list (#26674).

Patch by Marius BALTEANU.

History

#1 - 2017-08-23 11:53 - Go MAEDA

- Status changed from New to Needs feedback

- Target version set to Candidate for next major release

I agree that adding classes is a nice improvement for theme developers. But I think that class names such as "query-column-header

query-column-header-issue" is long and "query-column-header issue" is enough.

What do you think?

#2 - 2017-08-23 15:41 - Dmitry Lisichkin

Go MAEDA wrote:

I agree that adding classes is a nice improvement for theme developers. But I think that class names such as "query-column-header

query-column-header-issue" is long and "query-column-header issue" is enough.

What do you think?

 Class name contained only column name is not enough to specify context. It may be used in another parts of application and its style will be attached

to query-column-header too. For example: if we have column with name 'highlight' then column header will be with background (.highlight {

background-color: #FCFD8D;} from application.css).

#3 - 2017-12-18 23:58 - Marius BĂLTEANU

- File additional_css_for_query_column_headers.patch added

I think we should use the existing `css_classes` method to generate also the classes for query column headers. In this way, both type of cells (th and

td) will have the same classes and we can easily target them from CSS. Attach is a patch that implements this and adds multiple assertions.

Regarding the proposed classes, the length is not a problem from my point of view, but we should be consistent with the existing implementations and

if we want to change the class name because is not enough to specify the context, the change should apply also for tds.

#4 - 2017-12-19 10:17 - Dmitry Lisichkin

Marius BALTEANU wrote:

I think we should use the existing `css_classes` method to generate also the classes for query column headers

 I agree. I prepare new issue with modifications of css_classes but in redmine css we have problem with specify everywhere and we need to fully

rewrite application.css. All that fixes will broke all existed redmine themes, so I think that it need to be fixed it in a complex way and only for next major
version.

#5 - 2017-12-19 11:26 - Marius BĂLTEANU

- Status changed from Needs feedback to New

Dmitry Lisichkin wrote:

I agree. I prepare new issue with modifications of css_classes but in redmine css we have problem with specify everywhere and we need to fully

rewrite application.css. All that fixes will broke all existed redmine themes, so I think that it need to be fixed it in a complex way and only for next

major version.

 Totally agree. Until then, this issue can be implemented.

#6 - 2018-01-10 16:20 - Toshi MARUYAMA

Can we set target 4.0 or 4.1?

#7 - 2018-01-11 01:21 - Go MAEDA

Toshi MARUYAMA wrote:

Can we set target 4.0 or 4.1?

 I am in favor of #26674#note-3. The patch is simple and consistent with existing classes. I think we can merge it to the trunk.

#8 - 2018-01-11 02:40 - Marius BĂLTEANU

Go MAEDA wrote:

Toshi MARUYAMA wrote:

Can we set target 4.0 or 4.1?

 I am in favor of #26674#note-3. The patch is simple and consistent with existing classes. I think we can merge it to the trunk.

 Totally agree.

#9 - 2018-01-11 09:41 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#10 - 2018-01-15 05:19 - Go MAEDA

- Subject changed from Additional css for query column headers to Add CSS classes to column headers of issues and timelogs list

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for you all's contribution.

Files

additional_css.patch 733 Bytes 2017-08-14 Dmitry Lisichkin

additional_css_for_query_column_headers.patch 3.39 KB 2017-12-18 Marius BĂLTEANU
